3 thoughts on “ng-bootstrap not working with Angular 5 / Cli 1.5.0.

  1. There is no official Angular 5 support yet. However it works fine for me on a default CLI 1.5.0project with the only NgbMobule.forRoot() import

  2. In app.module.ts:

    import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
    
    imports: [
       NgbModule.forRoot()
    ]
    

    If I try to add a ngbDropdownToggle in the html of other module I just get that message.

  3. If you are getting the error No provider for NgbDropdown on Chrome console, make sure you put in your HTML ngbDropdown as parent of ngbDropdownToggle and ngbDropdownMenu